﻿@{
    var url = Context.Request.Path.Value;
    int length = url.Contains("client") ? 4 : 5;
    var season = "spring";
}
<div id="carousel" class="carousel slide" data-ride="carousel">
    <ol class="carousel-indicators">
        @for (var i = 0; i < length; i++)
        {
            <li data-target="#carousel" data-slide-to="@i" class="@(i==0 ? "active":"")"></li>
        }
    </ol>
    <div class="carousel-inner">
        @if (url.Contains("client"))
        {
            @for (var i = 0; i < length; i++)
            {
                <div class="carousel-item @(i==0 ? "active":"")">
                    <img src="~/images/carousel/@season/client/Image-@(i+1).jpg" class="d-block" alt="..." />
                </div>
            }
        }
        else
        {
            @for (var i = 0; i < length; i++)
            {
                <div class="carousel-item @(i==0 ? "active":"")">
                    <img src="~/images/carousel/@season/user/Image-@(i+1).jpg" class="d-block" alt="..." />
                </div>
            }
        }
    </div>
    <a class="carousel-control-prev" href="#carousel" role="button" data-slide="prev">
        <i class="flaticon2-left-arrow fa-2x text-white"></i>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#carousel" role="button" data-slide="next">
        <i class="flaticon2-right-arrow fa-2x text-white"></i>
        <span class="sr-only">Next</span>
    </a>
</div>
<style>
    .carousel-control .icon-prev,
    .carousel-control .icon-next {
        font-size: 100px;
    }

    .carousel-inner .carousel-item img {
        width: 100%;
        height: 100vh;
    }
</style>